cimconfig(8)

NAME
cimconfig - get, set, unset, or list CIM Server configuration properties

SYNOPSIS
cimconfig -g name [ -c ] [ -d ] [ -p ] cimconfig -s name=value [ -c ] [ -p ] cimconfig -u name [ -c ] [ -p ] cimconfig -l [ -c | -p ] cimconfig -h cimconfig --help cimconfig --version

DESCRIPTION

The cimconfig command manages CIM Server configuration properties. The operations are executed on the local host by submitting requests to the CIM Server. An operation on a current configuration property takes effect immediately, and an operation on a planned configuration property takes effect the next time the CIM Server is started with cimserver (8) . Modifications to a configuration property via cimconfig remain in effect until changed via another cimconfig command. Configuration properties may also be modified temporarily via the cimserver (8) command, in which case, the modification of the configuration property remains in effect for that execution of the cimserver (8) command only. A default value is associated with each configuration property. Each configuration property is initially assigned its default value, until modified by a cimconfig command or cimserver (8) command. Dynamic configuration properties are those whose current values may be set while the CIM server is running.

The following configuration properties are available:

enableAssociationTraversal

    Description: If True, the CIM Server will support the four association traversal operators: Associators, AssociatorNames, References, and ReferenceNames.
    Default Value: True
    Dynamic: No

enableIndicationService

    Description: If True, the CIM Server will support CIM Indications.
    Default Value: True
    Dynamic: No

enableHttpConnection

    Description: If True, allows connections to the CIM Server using the HTTP protocol
    Default Value: False
    Dynamic: No

enableHttpsConnection

    Description: If True, allows connections to the CIM Server using the HTTPS protocol (HTTP using Secure Socket Layer encryption)
    Default Value: True
    Dynamic: No

enableNamespaceAuthorization

    Description: If True, the CIM Server restricts access to namespaces based on configured user authorizations [user authorizations may be configured using cimauth (8) ]
    Default Value: False
    Dynamic: No

enableRemotePrivilegedUserAccess

    Description: If True, the CIM Server allows access by a privileged user from a remote system
    Default Value: True
    Dynamic: No

enableSubscriptionsForNonprivilegedUsers

    Description: If True, nonprivileged user of the system will be allowed to create Indication Subscription, otherwise privileged access is required.
    Default Value: True
    Dynamic: No

logLevel

    Description: Defines the desired level of logging. Valid values include: TRACE, INFORMATION, WARNING, SEVERE, FATAL
    Default Value: INFORMATION
    Dynamic: Yes

shutdownTimeout

    Description: When a cimserver -s shutdown command is issued, specifies the maximum time in seconds for the CIM Server to complete outstanding CIM operation requests before shutting down; if the specified timeout period expires, the CIM Server will shut down, even if there are still CIM operations in progress. Minimum value is 2 seconds.
    Default Value: 10
    Dynamic: No

If both the enableHttpsConnection and enableHttpConnection properties are set to False , neither HTTP nor HTTPS connections will be allowed. On some platforms, the OpenPegasus CIM Server has been enhanced to include support for a local (single system), non-standard protocol. This allows the OpenPegasus CIM Server to continue to receive and process requests from local OpenPegasus CIM Clients even if both HTTP ports are disabled. If a local protocol is not supported, the CIM Server will be shut down and disabled from automatically being re-started.

The current and planned values of the configuration properties are stored in the files /var/opt/tog-pegasus/cimserver_current.conf and /var/opt/tog-pegasus/cimserver_planned.conf , respectively. The configuration properties may only be modified via the cimconfig and cimserver (8) commands; the files must not be edited directly.

  Options

The cimconfig command recognizes the following options:

    -g configuration_property
        Gets the specified value (current, planned and/or default) of the specified configuration property. By default, gets the current value.

    -s configuration_property = value
        Sets the specified value (current and/or planned) of the specified configuration property to R value . By default, sets the current value.

    -u configuration_property
        Unsets the specified value (current and/or planned) of the specified configuration property, and resets it to its default value. By default, unsets the current value and resets it to its default value.

    -l  Lists all the specified (current or planned) configuration property name and value pairs in the CIM Server. By default, lists only the names of all the current configuration properties.

    -c  Specifies that the operation (get, set, unset, or list) be performed on the current configuration properties. For set or unset operations, returns an error when the CIM Server is not running or the specified property is not a dynamic property.

    -p  Specifies that the operation (get, set, unset, or list) be performed on the planned configuration properties. For set and unset operations, operates on the value of the specified property in the planned configuration file if the CIM Server is not running.

    -d  Specifies that the get operation be performed on the default configuration properties. Returns an error when the CIM Server is not running.

If no options are specified, cimconfig displays a usage message.

EXIT STATUS

When an error occurs, an error message is written to stderr and an error value of 1 is returned. The following return values are returned:

    0   Successful completion
    1   Error

EXAMPLES

Get the current value for the configuration property shutdownTimeout .

    cimconfig -g shutdownTimeout -c

Get the planned value for the configuration property shutdownTimeout .

    cimconfig -g shutdownTimeout -p

Get the default value for the configuration property shutdownTimeout .

    cimconfig -g shutdownTimeout -d

Set the current value of the property shutdownTimeout to the new value 15.

    cimconfig -s shutdownTimeout=15 -c

Set the planned value of the property shutdownTimeout , to the new value 5.

    cimconfig -s shutdownTimeout=5 -p

Reset the current value of the property shutdownTimeout to its default value.

    cimconfig -u shutdownTimeout -c

Reset the planned value of the property shutdownTimeout to its default value.

    cimconfig -u shutdownTimeout -p

List all the current configuration property names.

    cimconfig -l

List all the current configuration property names and their values.

    cimconfig -l -c

List all the planned configuration property names and their values.

    cimconfig -l -p

FILES

/var/opt/tog-pegasus/cimserver_current.conf
    Current configuration
/var/opt/tog-pegasus/cimserver_planned.conf
    Planned configuration

SEE ALSO

cimserver (8), cimauth (8).